APICRMActivitiesUpdate Activity
Update Activity
Partially update a CRM activity (PATCH is also accepted). Only fields present in the body are changed. Setting status to Resolved or Closed records resolvedAt or closedAt the first time. Reassigning with a new assignedToId emails the new assignee. Returns the updated activity with its related records.
Created: September 16, 2026
Updated: September 16, 2026
Overview
PUT
https://dashboard.vinsi.ai/api/crm/activities/{activityId}
Request
Headers
Content-Typestring
x-api-keystring
Params
activityIdstring
Example: 5120
Request Body
{11 items
"subject":string"Follow up on pricing question"
"description":string"Quote sent by email."
"status":string"Resolved"
"priority":string"Medium"
"type":string"Task"
"source":string"Portal"
"dueBy":string"2026-09-18T17:00:00.000Z"
"assignedToId":string"cmexampleuser0000000000002"
"contactId":int1042
"companyId":int318
"tags":[2 items
0:string"pricing"
1:string"quote-sent"
]
}
Response
{32 items
"id":int5120
"activityNumber":string"ACT-00128-K3F9"
"subject":string"Follow up on pricing question"
"description":string"Quote sent by email."
"status":string"Resolved"
"priority":string"Medium"
"type":string"Task"
"source":string"Portal"
"dueBy":string"2026-09-18T17:00:00.000Z"
"organizationId":string"cmexampleorg00000000000001"
"requesterId":string"cmexampleuser0000000000001"
"assignedToId":string"cmexampleuser0000000000002"
"departmentId":null
"groupId":null
"tags":string"["pricing","quote-sent"]"
"customFields":string"{}"
"contactId":int1042
"companyId":int318
"dealId":int77
"engagementId":null
"closedAt":null
"resolvedAt":string"2026-09-16T16:40:00.000Z"
"firstResponseAt":null
"lastDueReminderAt":null
"createdAt":string"2026-09-15T20:11:05.000Z"
"updatedAt":string"2026-09-16T16:40:00.000Z"
"Requester":{4 items
"id":string"cmexampleuser0000000000001"
"firstName":string"Jane"
"lastName":string"Doe"
"email":string"jane.doe@example.com"
}
"AssignedTo":{4 items
"id":string"cmexampleuser0000000000002"
"firstName":string"Sam"
"lastName":string"Rivera"
"email":string"sam.rivera@example.com"
}
"Department":null
"Group":null
"Contact":{5 items
"id":int1042
"firstName":string"Alex"
"lastName":string"Morgan"
"email":string"alex.morgan@example.com"
"phone":string"+15555550142"
}
"Company":{2 items
"id":int318
"name":string"Acme Dental"
}
}
Endpoint Explorer
Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.
PUT
Headers
Content-Type: *
x-api-key: *
Params
activityId: *
Response
No response yet. Click Send to test the API.